import { BlobClientResponse } from "../client/BlobClientResponse";
import { JsonClientResponse } from "../client/JsonClientResponse";
import { TextClientResponse } from "../client/TextClientResponse";
import { VoidClientResponse } from "../client/VoidClientResponse";
import { StreamProducer } from '../io/StreamProducer';
import { DialogDelegate } from "../proxy/DialogDelegate";
import { DialogRequest } from "../proxy/DialogRequest";
export declare class SdaDialogDelegate implements DialogDelegate {
    private static ALIAS_OPEN_MENU_ACTION_ID;
    private static ALIAS_OPEN_LATEST_FILE_MENU_ACTION_ID;
    private static ALIAS_SHOW_TAGS_MENU_ACTION_ID;
    private static OPEN_MENU_ACTION_ID;
    private _dialogDelegateStateVisitor;
    initialize(): Promise<void>;
    getBlob(request: DialogRequest): Promise<BlobClientResponse> | null;
    getText(request: DialogRequest): Promise<TextClientResponse> | null;
    openStream(request: DialogRequest): Promise<StreamProducer> | null;
    postMultipart<T>(request: DialogRequest): Promise<VoidClientResponse> | null;
    getJson(request: DialogRequest): Promise<JsonClientResponse> | null;
    postJson(request: DialogRequest): Promise<JsonClientResponse> | null;
    putJson(request: DialogRequest): Promise<JsonClientResponse> | null;
    deleteJson(request: DialogRequest): Promise<JsonClientResponse> | null;
    handleDeleteJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null;
    handleGetBlobResponse(request: DialogRequest, response: Promise<BlobClientResponse>): Promise<BlobClientResponse> | null;
    handleGetJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null;
    handleGetTextResponse(request: DialogRequest, response: Promise<TextClientResponse>): Promise<TextClientResponse> | null;
    handleOpenStreamResponse(request: DialogRequest, response: Promise<StreamProducer>): Promise<StreamProducer> | null;
    handlePostJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null;
    handlePostMultipartResponse<T>(request: DialogRequest, response: Promise<VoidClientResponse>): Promise<VoidClientResponse> | null;
    handlePutJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null;
    private captureOfflineSession(request);
    private captureNextOfflineWorkPackage(baseUrl, tenantId, sessionId, onlineWorkPackagesListDialogId, offlineWorkPackagesListDialogId, nextWorkPackageId);
    private captureNextOfflineTags(baseUrl, tenantId, sessionId, beforeDocumentsListDialog, afterDocumentsListDialog, nextWorkPackageId);
    private captureNextOfflineTag(baseUrl, tenantId, sessionId, beforeTagsListDialog, afterTagsListDialog, nextTagRecordVisitor);
    private captureNextOfflineDocumentContent(baseUrl, tenantId, sessionId, beforeDocumentsListDialog, afterDocumentsListDialog, nextDocumentRecordVisitor);
    private constructCreateCommentNullRedirection(tenantId, sessionId, dialogId);
    private delegateBaseUrl();
    private delegateBriefcaseVisitor();
    private delegateOnline();
    private delegateSelectedWorkPackageIds();
    private delegateUserId();
    private delegateWorkPackagesRecordSetVisitor();
    private performLoginForOnlineProcessing(tenantId);
    private captureOfflineWorkPackages(enterOfflineRequest);
    private initializeAfterCreateSession(request, sessionVisitor);
    private performBriefcaseWorkbenchActionRequest(request);
    private performCreateSessionRequest(request);
    private performDeleteSessionRequest(request);
    private performEnterOfflineModeMenuActionRequest(request);
    private performExitOfflineModeMenuActionRequest(request);
    private performOfflineBriefcaseCommentsRequest(request);
    private performOfflineBriefcaseWorkPackagesRequest(request);
    private performOfflineCreateCommentMenuAction(request);
    private performOfflineDocumentsPropertiesRecordRequest(request);
    private performOfflineShowDocsMenuAction(request);
    private performOfflineTagsPropertiesRecordRequest(request);
    private performWorkPackagesAddWorkPackageToBriefcase(request);
    private performWorkPackagesRemoveWorkPackageFromBriefcase(request);
}
